function AISMN_WaitUntilThreatPasses::OnEnter(%this,%obj)
{
   return;
}

function AISMN_WaitUntilThreatPasses::OnExit(%this,%obj)
{
   return;
}

function AISMN_WaitUntilThreatPasses::Update(%this,%obj)
{
   if(ThreatExists(%obj))
      ReturnValue(%obj,-1);
   else
      ReturnValue(%obj,0);
   
   return;
}